> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.botbye.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.botbye.com/_mcp/server.

# delete

DELETE {base_url}/api/v1/{account_id}/projects/{project_id}

### GET /api/v1/{account_id}/projects/{project_id}

This endpoint retrieves project details for a specific project within an account.

#### Request

No request body parameters are required for this endpoint.

- `base_url` (string): The base URL of the API.
- `account_id` (string): The unique identifier of the account.
- `project_id` (string): The unique identifier of the project.
    

#### Response

The response for this request is a JSON object with the following schema:

``` json
{
  "id": "",
  "customerId": "",
  "name": "",
  "url": "",
  "siteKey": "",
  "serverKey": "",
  "isProtected": true,
  "rules": {
    "order": [],
    "rules": []
  },
  "rateLimits": {
    "order": [],
    "rateLimits": []
  },
  "phishingInfo": {
    "originalUrl": "",
    "action": "",
    "allowedUrls": []
  },
  "responseExtraFields": [],
  "updatedAt": "",
  "createdAt": ""
}

 ```

- `id` (string): The unique identifier of the project.
- `customerId` (string): The unique identifier of the customer associated with the project.
- `name` (string): The name of the project.
- `url` (string): The URL of the project.
- `siteKey` (string): The site key of the project.
- `serverKey` (string): The server key of the project.
- `isProtected` (boolean): Indicates whether the project is protected.
- `rules` (object): An object containing order and rules arrays.
- `rateLimits` (object): An object containing order and rateLimits arrays.
- `phishingInfo` (object): An object containing originalUrl, action, and allowedUrls arrays.
- `responseExtraFields` (array): An array of extra fields in the response.
- `updatedAt` (string): The timestamp when the project was last updated.
- `createdAt` (string): The timestamp when the project was created.

Reference: https://api-docs.botbye.com/bot-bye-api/protection/projects/delete

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v1/{account_id}/projects/{project_id}:
    delete:
      operationId: delete
      summary: delete
      description: >-
        ### GET /api/v1/{account_id}/projects/{project_id}


        This endpoint retrieves project details for a specific project within an
        account.


        #### Request


        No request body parameters are required for this endpoint.


        - `base_url` (string): The base URL of the API.

        - `account_id` (string): The unique identifier of the account.

        - `project_id` (string): The unique identifier of the project.
            

        #### Response


        The response for this request is a JSON object with the following
        schema:


        ``` json

        {
          "id": "",
          "customerId": "",
          "name": "",
          "url": "",
          "siteKey": "",
          "serverKey": "",
          "isProtected": true,
          "rules": {
            "order": [],
            "rules": []
          },
          "rateLimits": {
            "order": [],
            "rateLimits": []
          },
          "phishingInfo": {
            "originalUrl": "",
            "action": "",
            "allowedUrls": []
          },
          "responseExtraFields": [],
          "updatedAt": "",
          "createdAt": ""
        }

         ```

        - `id` (string): The unique identifier of the project.

        - `customerId` (string): The unique identifier of the customer
        associated with the project.

        - `name` (string): The name of the project.

        - `url` (string): The URL of the project.

        - `siteKey` (string): The site key of the project.

        - `serverKey` (string): The server key of the project.

        - `isProtected` (boolean): Indicates whether the project is protected.

        - `rules` (object): An object containing order and rules arrays.

        - `rateLimits` (object): An object containing order and rateLimits
        arrays.

        - `phishingInfo` (object): An object containing originalUrl, action, and
        allowedUrls arrays.

        - `responseExtraFields` (array): An array of extra fields in the
        response.

        - `updatedAt` (string): The timestamp when the project was last updated.

        - `createdAt` (string): The timestamp when the project was created.
      tags:
        - subpackage_projects
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
        - name: project_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Projects_delete_Response_200'
        '400':
          description: fail
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/ApiV1AccountIdProjectsProjectIdRulesRuleIdDeleteResponsesContentApplicationJsonSchemaItems
servers:
  - url: '{base_url}'
    description: '{base_url}'
components:
  schemas:
    Projects_delete_Response_200:
      type: object
      properties: {}
      title: Projects_delete_Response_200
    ApiV1AccountIdProjectsProjectIdRulesRuleIdDeleteResponsesContentApplicationJsonSchemaItemsContext:
      type: object
      properties:
        ids:
          type: string
      title: >-
        ApiV1AccountIdProjectsProjectIdRulesRuleIdDeleteResponsesContentApplicationJsonSchemaItemsContext
    ApiV1AccountIdProjectsProjectIdRulesRuleIdDeleteResponsesContentApplicationJsonSchemaItems:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
        context:
          $ref: >-
            #/components/schemas/ApiV1AccountIdProjectsProjectIdRulesRuleIdDeleteResponsesContentApplicationJsonSchemaItemsContext
      required:
        - message
        - code
        - type
      title: >-
        ApiV1AccountIdProjectsProjectIdRulesRuleIdDeleteResponsesContentApplicationJsonSchemaItems

```

## Examples



**Response**

```json
{}
```

**SDK Code**

```python Projects_delete_example
import requests

url = "https://{base_url}/api/v1/account_id/projects/project_id"

response = requests.delete(url)

print(response.json())
```

```javascript Projects_delete_example
const url = 'https://{base_url}/api/v1/account_id/projects/project_id';
const options = {method: 'DELETE'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Projects_delete_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://{base_url}/api/v1/account_id/projects/project_id"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Projects_delete_example
require 'uri'
require 'net/http'

url = URI("https://{base_url}/api/v1/account_id/projects/project_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java Projects_delete_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://{base_url}/api/v1/account_id/projects/project_id")
  .asString();
```

```php Projects_delete_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://{base_url}/api/v1/account_id/projects/project_id');

echo $response->getBody();
```

```csharp Projects_delete_example
using RestSharp;

var client = new RestClient("https://{base_url}/api/v1/account_id/projects/project_id");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift Projects_delete_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://{base_url}/api/v1/account_id/projects/project_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```